### Method

# GLib MarkupParseContext end_parse

#### Declaration

    gboolean
    g_markup_parse_context_end_parse (
      GMarkupParseContext* context
      GError** error
    )

#### Description

Signals to the `GMarkupParseContext` that all data has been fed into the parse context with g_markup_parse_context_parse().

This function reports an error if the document isn’t complete, for example if elements are still open.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` if an error was set.